Product comparison · 2 network switches

Allied Telesis iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver vs Allied Telesis iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver

Add a product
  • 76specifications compared
  • 9differ
  • 67identical
  • 0known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:16
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:24
  • Gigabit Ethernet (copper) ports quantity
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:16
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:24
  • Switching capacity
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:40 Gbit/s
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:56 Gbit/s
  • Forwarding rate
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:29.8 Mpps
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:41.7 Mpps
  • Power consumption (typical)
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:22.6 W
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:29.8 W
  • Power consumption (max)
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:434.3 W
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:446.1 W
  • Power over Ethernet (PoE) ports quantity
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:16
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:24
  • Heat dissipation
    • iGS950/20PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:1482 BTU/h
    • iGS950/28PS Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop/Wall-Mounting Silver:1521.9 BTU/h

Side by side

Differences highlightedShow differences only (off)
Comparison of iGS950/20PS, iGS950/28PS
76 specifications
Management featuresidentical
Switch typeManagedManaged
Switch layerL2L2
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
Configuring Location Settings (CLI)YesYes
MIB supportRFC 1213 MIB-II RFC 1643 Ethernet MIB RFC 1493 Bridge MIB RFC 2131 DHCPv4 server and client Private Enterprise MIB (Allied Telesis provides the spec)RFC 1213 MIB-II RFC 1643 Ethernet MIB RFC 1493 Bridge MIB RFC 2131 DHCPv4 server and client Private Enterprise MIB (Allied Telesis provides the spec)
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1624
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)Gigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantityDiffers1624
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantity44
Networkidentical
Networking standardsIEEE 802.1D, IEEE 802.1w, IEEE 802.1s, IEEE 802.1p, IEEE 802.3ad, IEEE 802.1x, IEEE 802.3atIEEE 802.1D, IEEE 802.1w, IEEE 802.1s, IEEE 802.1p, IEEE 802.3ad, IEEE 802.1x, IEEE 802.3at
10G supportNoNo
Copper ethernet cabling technology10BASE-T, 100BASE-T, 1000BASE-T10BASE-T, 100BASE-T, 1000BASE-T
Full duplexYesYes
Ethernet LAN data rates10,1000,100 Mbit/s10,1000,100 Mbit/s
Link aggregationYesYes
VLAN supportYesYes
Number of VLANs256256
Optical fiberidentical
Fiber ethernet cabling technology100BASE-FX, 1000BASE-SX, 1000BASE-LX100BASE-FX, 1000BASE-SX, 1000BASE-LX
Data transmission2 differ
MAC address table8000 entries8000 entries
Switching capacityDiffers40 Gbit/s56 Gbit/s
Forwarding rateDiffers29.8 Mpps41.7 Mpps
Jumbo frames supportYesYes
Jumbo frames1000010000
Packet buffer memory0.512 MB0.512 MB
Securityidentical
DHCP featuresDHCP clientDHCP client
Access Control List (ACL)YesYes
Access Control List (ACL) IPv4 entries256256
IGMP snoopingYesYes
SSH/SSL supportYesYes
Multicast featuresidentical
Multicast supportYesYes
Designidentical
Rack mountingYesYes
Form factorDesktop/Wall-MountingDesktop/Wall-Mounting
Product colourSilverSilver
Reset buttonYesYes
LED indicatorsYesYes
Wall mountableYesYes
Performanceidentical
Memory typeDRAMDRAM
Internal memory256 MB256 MB
Flash memory32 MB32 MB
Noise level51.7 dB51.7 dB
TelnetYesYes
FanlessNoNo
Power2 differ
Power sourceACAC
AC input voltage100 - 240 V100 - 240 V
AC input frequency50/60 Hz50/60 Hz
Input current7 A7 A
Power consumption (typical)Differs22.6 W29.8 W
Power consumption (max)Differs434.3 W446.1 W
Power plug typeType FType F
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)YesYes
Power over Ethernet (PoE) type supportedPoE+PoE+
Power over Ethernet (PoE) ports quantityDiffers1624
Power over Ethernet plus (PoE+) ports quantity1212
Power over Ethernet (PoE) power per port30 W30 W
Total Power over Ethernet (PoE) budget370 W370 W
Other featuresidentical
Size (imperial)48.3 cm (19")48.3 cm (19")
Operational conditions1 differ
Operating temperature (T-T)-5 - 50 °C-5 - 50 °C
Storage temperature (T-T)-25 - 70 °C-25 - 70 °C
Operating relative humidity (H-H)5 - 90%5 - 90%
Storage relative humidity (H-H)5 - 95%5 - 95%
Operating altitude0 - 3000 m0 - 3000 m
Heat dissipationDiffers1482 BTU/h1521.9 BTU/h
Weight & dimensions1 differ
Width440 mm440 mm
Depth250 mm250 mm
Height44 mm44 mm
WeightDiffers3.89 kg3.92 kg
Packaging contentidentical
Cables includedPowerPower
Rack mount kitYesYes
Packaging dataidentical
Mounting brackets includedYesYes
Rubber feetYesYes
Screws includedYesYes
Sustainabilityidentical
Doesn't containLead, Mercury, CadmiumLead, Mercury, Cadmium
Certificatesidentical
Compliance certificatesTrade Agreements Act (TAA), CE, UKCA, Federal Communications Commission (FCC), UL, TÜV mark, RoHSTrade Agreements Act (TAA), CE, UKCA, Federal Communications Commission (FCC), UL, TÜV mark, RoHS

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons